# swipedetectorplus

A Flutter package that makes detecting swiping as easy as it ever gets!

## Getting Started

Add the swipe detector plus as a dependency into your pubspec.yaml file. This will allow you to import the library in order to be able to use it later on in your project.
You can do so like this:

```
dependencies:
  swipedetectorplus: ^0.0.2
```

## Documentation

You can use the swipe detector plus widget in any part of your code file, by simply wrapping your widget in a SwipeDetectorPlus Widget.
You have the option to decide the following:

```
SwipeDetectorPlus
{
// Wrap your preferred widget inside a SwipeDetectorPlus widget like so:
child: Container()

onSwipeRight:() {
    // Do something when the user swipes right.
}
onSwipeLeft: () {
    // Do something when the user swipes left.
}

onSwipeUp: () {
    // Do something when the user swipes up.
}

onSwipeDown: () {
    // Do something when the user swipes down.
}
}
```

