library swipedetectorplus;

import 'package:flutter/material.dart';

class SwipeDetectorPlus extends StatelessWidget {
  SwipeDetectorPlus(
      {this.child,
      this.onSwipeRight,
      this.onSwipeLeft,
      this.onSwipeUp,
      this.onSwipeDown});

  final Widget child;
  final Function onSwipeLeft;
  final Function onSwipeRight;
  final Function onSwipeUp;
  final Function onSwipeDown;

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      child: child,
      onHorizontalDragStart: (details) {
        if (details.localPosition.dx < 0) {
          print('left');
        }
        if (details.localPosition.dx > 0) {
          print('right');
          onSwipeRight;
        }
      },
      onVerticalDragStart: (details) {
        if (details.localPosition.dy < 0) {
          print('up');
          onSwipeUp;
        } else if (details.localPosition.dy > 0) {
          print('down');
          onSwipeDown;
        }
      },
    );
  }
}
