import 'package:flutter_test/flutter_test.dart';
import 'package:flutter/material.dart';
import 'package:swipedetectorplus/swipedetectorplus.dart';

void main() {
  test('Wraps GestureDetectorPlus Inside Another Widget', () {
    SwipeDetectorPlus(
      onSwipeRight: () {
        print('Swiped Right');
      },
      onSwipeLeft: () {
        print('Swiped Left');
      },
      onSwipeUp: () {
        print('Swiped Up');
      },
      onSwipeDown: () {
        print('Swiped Down');
      },
      child: Container(color: Colors.red, child: Text('Hello')),
    );
  });
}
